<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title></title>
    <link href="static\css\bootstrap.min.css" rel="stylesheet">
    <link href="static\css\bootstrap-theme.min.css" rel="stylesheet">

  </head>
  <body>
    <div class="jumbotron text-center">
      <h1>Mis tareas</h1>
      <p class="text-muted"><small>Tareas pendientes</small></p>
    </div>

    <div class="container">

      <div id="app">
        <form @submit.prevent='addToDo'>
          <div class="input-group">
            <input type="text" class="form-control" required="required" placeholder="Nueva tarea" v-model.trim='todoTxt'>
            <span class="input-group-btn">
              <button class="btn btn-primary" type="submit">Agregar</button>
            </span>
          </div>
        </form>
        <hr>

        <div>
          <ul class="list-group">
            <template v-for="(item, index) in items">
              <li class="list-group-item">
                {{ item }}
                <button class ="btn btn-xs btn-danger pull-right" :data-index='this.index' @click='removeTodo(index)'>
                  <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
                </button>
              </li>
            </template>
          </ul>
        </div>
      </div>
    </div>

    <script src="static\js\vue.js"></script>
    <script src="static\js\app.js"></script>
  </body>
</html>
